| Class VcfRecord Information for one VCF record. We store most information as strings and without structure since the VCF format's definition is quite loose. We plan to provide classes for structured access to these strings later. class VcfRecord Include Headers seqan/vcf_io.h Remarks Although all positions in the VCF text format are 1-based, they are stored 0-based in the VcfRecord. Positions in string members are stored verbatim in the VcfRecord's members, e.g. 1-based. Invalid qualities are stored as a float NaN (not a number). To test a float quality q for being NaN, test for q != q. Only NaN has the property that NaN != NaN. Data Members
alt | Alternative bases in the variants, comma-separated if multiple (CharString).
beginPos | Position of the VCF record (__int32).
filter | Value of FILTER field, empty if "." in VCF file (CharString).
format | Value of the VCF FORMAT field, empty if "." in VCF file (CharString).
genotypeInfos | Genotype information, as in VCF file (StringSet<CharString>).
id | Textual identifier of the variant (CharString).
info | Value of the INFO field, empty if "." in VCF file (CharString).
INVALID_POS | Static member as marker for invalid position (__int32)
INVALID_REFID | Static member as marker for invalid reference (__int32)
qual | Quality, NaN if invalid (float).
ref | Bases in the reference (CharString).
rID | Static member as marker for invalid reference (__int32)
Member Functions
MISSING_QUAL | Return IEEE NaN float value.
VcfRecord | Default constructor.
Functions
clear | Clear a VcfRecord.
readRecord | Read a record from a VcfStream
writeRecord | Write a record to a VcfStream
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57